Back to Top

Android 4.3 Support

12 posts / 0 new
Last post
otaku91
Offline
Last seen: 5 years 4 months ago
Joined: 03/22/2012 - 10:15
Android 4.3 Support

Is DoggCatcher supported for Android 4.3? The reason I ask is because I am running Cyanogenmod nightlies and DoggCather installs OK, but when I try to open it, I see the splash screen and then an error that it crashed. After rebooting, the app was no longer installed. When I try to install it then in fails with error -24.

I was wondering if this is an issue with 4.3 or just this particular ROM.

Thanks in advance.

WayneC
Offline
Last seen: 1 week 1 day ago
Joined: 02/23/2011 - 22:28
Error -24.

DC is supported on 4.3, see http://www.doggcatcher.com/node/4593 for another of DC with the same issue, the only option is to uninstall/re-install DC. Backup DC first if possible, then re-install & restore

changelin
Offline
Last seen: 6 years 12 months ago
Joined: 05/30/2012 - 21:34
I don't believe this is the

I don't believe this is the same issue as in the link you provided. I just did a factory reset when I upgraded to Android 4.3, so there was no other version of DC to backup or re-install since it was a clean install. I still get the same error as the OP "unknown error code during application install -24". I've rebooted a few times, cleared the market cache, nothing I do will allow me to install DC on 4.3. Any other thoughts?

WayneC
Offline
Last seen: 1 week 1 day ago
Joined: 02/23/2011 - 22:28
Error Code

If uninstall/re-install doesn't work & you're still getting an error code during application Install: "-24" notification, I would contact Google Play support at this "Talk to a Specialist" URL https://support.google.com/googleplay/?rd=1#contact=1

judeepark
Offline
Last seen: 8 years 9 months ago
Joined: 09/30/2013 - 10:17
Authentication failure

I recently had to wipe my smartphone and reinstall Doggcatcher. I previously had a podcast feed that required a user name and password that I had been receiving without problem. Since I reinstalled Doggcatcher and put in the user name and password my downloads are failing and I get the error message authentication failure. What should I do?

WayneC
Offline
Last seen: 1 week 1 day ago
Joined: 02/23/2011 - 22:28
First verify you're using the

First verify you're using the correct UN/PW credentials and if that's not the issue, then contact the publisher of the feed to see if there is an issue with your account.
If there isn't a problem with the account, email Eric at http://www.doggcatcher.com/contact the name & URL of the feed with problem plus your UN/PW credentials, so he can checkout if the problem is with DC.

tokjdm
Offline
Last seen: 6 years 3 weeks ago
Joined: 05/12/2011 - 01:41
Error code -24

I have the same problem as the user above.
I just upgrade my HTC One to Android 4.3 (ARHD 22.0). I am installing apps from scratch. All of them are working fine except DoggCatcher. I get the same error code -24

WayneC
Offline
Last seen: 1 week 1 day ago
Joined: 02/23/2011 - 22:28
The problem could be related

The problem could be related to the "Package File Invalid" issue

http://www.doggcatcher.com/node/4905#comment-13589, but did a Google search and The error is caused by leftover files from a previous install of DC and this causes problems with a new installation, a factory reset usually fixes this issue.

The next thing to do if you have root access is to delete DC's app entry from data/data/com.

If you don't have root access, contact Google Play support ( see previous post #3 from this thread)

Source: Android Central Forum

http://forums.androidcentral.com/google-nexus-7-tablet-2012/276614-skype...

http://forums.androidcentral.com/android-4-1-4-2-4-3-jelly-bean/186024-u...

tokjdm
Offline
Last seen: 6 years 3 weeks ago
Joined: 05/12/2011 - 01:41
Error code -24

Thank you, it worked.
I have root access. There was no DC app entry in data/data/com. but there was a link to something related to DC. I deleted the link and the installation worked fine.
I guess the link may have come from a failed Titanium Backup restore (all apps restore failed when updating from 4.2 to 4.3).

WayneC
Offline
Last seen: 1 week 1 day ago
Joined: 02/23/2011 - 22:28
Error

You're welcome and thanks for posting your solution to this issue.

tokjdm
Offline
Last seen: 6 years 3 weeks ago
Joined: 05/12/2011 - 01:41
Error code -24

This is certainly not the right place to ask this question.
I have had to reinstall DC many times and although I know that there is an export function, it does not seem to really work. Also DC is unable to match or to find existing podcast folders previously installed by DC. I really wish it would be possible to just tell DC about an existing folder and let DC integrate these folders.

WayneC
Offline
Last seen: 1 week 1 day ago
Joined: 02/23/2011 - 22:28
You should run a DC backup

You should also run a DC backup in addition to the Titanium Backup (In the DC Menu,Settings) then copy the the DC's Export folder to Dropbox/Google drive/external SD card, once DC is re-installed, replace the existing export folder with the earlier backup & restore your settings (In the DC Menu,) or try cloud sync, see forum post on how to join the beta group http://www.doggcatcher.com/node/4189 also info on cloud sync http://www.doggcatcher.com/CloudSync